Bug 67087 - line drawing charcters appear different
Summary: line drawing charcters appear different
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ncurses   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-19 20:13 UTC by paulm
Modified: 2007-04-18 16:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-08 20:41:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description paulm 2002-06-19 20:13:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run propietary application
2. 
3.
	

Actual Results:  Line drawing characters, the video is reversed behind the 
line drawing character (the line itself is fine, but the background of the 
caharcter box color changed) . 
Redhat 7.2 was fine, redhat 7.3 changed- why?

Expected Results:  Same application should look same on redhat 7.2 as redhat 
7.3


Additional info:

I backed off to the redhat ncusrses version from redhat 7.2- and ok.

Comment 1 Rudolf Ulc 2002-06-25 10:45:15 UTC
Error is also in my propietary application and buggy line drawing charactersis
are also in iptraf. Ncurses box() function is broken - color attribute.

Comment 2 paulm 2002-08-01 12:42:20 UTC
Here is specific info on how to create the "error" condition, including a snip 
of code...

After we create a window we do a box() command to draw a box around it
then we do some mvwaddch() commands to add things like left & right T
symbols and vertical & horizontal lines.
The curious thing is that the box command has the attributes wrong but
the extra stuff we add like the RTEE,LTEE,VLINE & HLINE all have the
correct attributes.

The commands below are what we use to put a box around the a window,
create a boxed area across the top of the box for a title and add a side bar 
down the left side of the box, one of our typical menus.
ie.   +--------------+
      |    title     |
      +--------------+
      | | 1) one     |
      | | 2) two     |
      | | 3) three   |
      +--------------+

box(win,ACS_VLINE,ACS_HLINE);
mvwaddch(win,w_info->t_row+w_info->t_height,0,ACS_LTEE);
for (i=1 ; i<win->CCS_MAXX-1 ; i++)
   waddch(win,ACS_HLINE);
waddch(win,ACS_RTEE);
for (i=w_info->d_row ; i<w_info->d_row+w_info->d_height ; i++)
   mvwaddch(win,i,2,ACS_VLINE);


Comment 3 Martijn 2002-09-11 21:55:01 UTC
I would like to note that this also affects the Curses::Widgets module for perl
that's in CPAN. This module comes with a demo that is run as a test as you
install the module. The demo exhibits the same problem:

The box function doesn't honour attributes or colors.

I'll try to have a look at the code, and see what has changed.

Comment 4 Martijn 2002-09-15 10:44:54 UTC
I reported this question to the bug-ncurses mailing list.

Thomas Dickey answered:

....and I will correct it in tomorrow's patch.

This is a corrected macro in lib_box.c (if you're in a hurry):

#define RENDER_WITH_DEFAULT(ch,def) w ## ch = _nc_render(win, (ch == 0) ? def :
ch)

Comment 5 Eido Inoue 2003-01-07 20:46:44 UTC
thanks for the patch. Is the patch already incorporated in the upstream ncurses
or shall I add it to the spec file patch list?

Comment 6 Eido Inoue 2003-01-08 20:41:03 UTC
confirmed this patch is integrated in latest pkg

Comment 7 Thomas E. Dickey 2003-01-12 18:09:15 UTC
just checking: the latest Redhat packages I've seen for ncurses are the 2002/4/6 snapshot.  Where can I check on the details of the latest package?


Note You need to log in before you can comment on or make changes to this bug.